com.sun.syndication.feed.atom

## Class Person

- java.lang.Object
- - com.sun.syndication.feed.atom.Person

All Implemented Interfaces:
  Extendable, java.io.Serializable, java.lang.Cloneable

    public class Person
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable, Extendable

Bean for person elements of Atom feeds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Person()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getEmail()` Returns the person email.
`Module` `getModule(java.lang.String uri)` Returns the module identified by a given URI.
`java.util.List` `getModules()` Returns the entry modules.
`java.lang.String` `getName()` Returns the person name.
`java.lang.String` `getUri()` Returns the uri
`java.lang.String` `getUriResolved(java.lang.String resolveURI)`
`java.lang.String` `getUrl()` Returns the person URL (same as `getUri()`)
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setEmail(java.lang.String email)` Sets the person email.
`void` `setModules(java.util.List modules)` Sets the entry modules.
`void` `setName(java.lang.String name)` Sets the personname.
`void` `setUri(java.lang.String uri)` Set the uri
`void` `setUriResolved(java.lang.String uriResolved)`
`void` `setUrl(java.lang.String url)` Sets the person URL (same as `setUri(java.lang.String)`)
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Person

    public Person()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getName

    public java.lang.String getName()

Returns the person name.

Returns:
  the person name, null if none.

#### setName

    public void setName(java.lang.String name)

Sets the personname.

Parameters:
  `name` - the person name, null if none.

#### getUrl

    public java.lang.String getUrl()

Returns the person URL (same as `getUri()`)

Returns:
  the person URL, null if none.

#### setUrl

    public void setUrl(java.lang.String url)

Sets the person URL (same as `setUri(java.lang.String)`)

Parameters:
  `url` - the person URL, null if none.

#### setUriResolved

    public void setUriResolved(java.lang.String uriResolved)

#### getUriResolved

    public java.lang.String getUriResolved(java.lang.String resolveURI)

#### getEmail

    public java.lang.String getEmail()

Returns the person email.

Returns:
  the person email, null if none.

#### setEmail

    public void setEmail(java.lang.String email)

Sets the person email.

Parameters:
  `email` - the person email, null if none.

#### getUri

    public java.lang.String getUri()

Returns the uri

Returns:
  Returns the uri.
Since:
  Atom 1.0

#### setUri

    public void setUri(java.lang.String uri)

Set the uri

Parameters:
  `uri` - The uri to set.
Since:
  Atom 1.0

#### getModules

    public java.util.List getModules()

Returns the entry modules.

Specified by:
  `getModules` in interface `Extendable`
Returns:
  a list of ModuleImpl elements with the entry modules, an emtpy list if none.

#### setModules

    public void setModules(java.util.List modules)

Sets the entry modules.

Specified by:
  `setModules` in interface `Extendable`
Parameters:
  `modules` - the list of ModuleImpl elements with the entry modules to set, an empty list or null if none.

#### getModule

    public Module getModule(java.lang.String uri)

Returns the module identified by a given URI.

Specified by:
  `getModule` in interface `Extendable`
Parameters:
  `uri` - the URI of the ModuleImpl.
Returns:
  The module with the given URI, null if none.